import java.io.FileInputStream;
import java.io.FileOutputStream;

import com.sun.star.beans.PropertyValue;
import com.sun.star.comp.beans.OOoBean;

public class Application
{
  public static void main(String[] args)
  {
    try
    {
      OOoBean aBean = new OOoBean(); 
      System.out.println("args[0]:"+args[0]+" args[1]:"+args[1]);
      
      //This works
      aBean.loadFromURL( args[0], null );
      //when using this, use arg[0]: file:///d:/WORK/cvslocal/OOTest/test.doc
      
      //This is not
      //FileInputStream mystream = new FileInputStream(args[0]);
      //aBean.loadFromStream( mystream, null );
      //when using this, use arg[0]: test.doc
      
      PropertyValue[] aFilterData = new PropertyValue[3];
      aFilterData[0] = new PropertyValue();
      aFilterData[0].Name = "RestrictPermissions";
      aFilterData[0].Value = new Boolean(true);
      aFilterData[1] = new PropertyValue();
      aFilterData[1].Name = "PermissionPassword";
      aFilterData[1].Value = "Ex54CBq1";
      aFilterData[2] = new PropertyValue();
      aFilterData[2].Name = "EnableCopyingOfContent";
      aFilterData[2].Value = new Boolean(false);

      PropertyValue[] aFilterArgs = new PropertyValue[2];
      aFilterArgs[0] = new PropertyValue();
      aFilterArgs[0].Name = "FilterName";
      aFilterArgs[0].Value = "writer_pdf_Export";
      aFilterArgs[1] = new PropertyValue();
      aFilterArgs[1].Name = "FilterData";
      aFilterArgs[1].Value = aFilterData; 
      try
      {
        //This works
        aBean.storeToURL(args[1], aFilterArgs);
        //when using this, use arg[1]: file:///d:/WORK/cvslocal/OOTest/test.pdf
        
        //This not
        //FileOutputStream outstream = new FileOutputStream(args[1]);
        //aBean.storeToStream(outstream, aFilterArgs);
        //when using this, use arg[1]: test.pdf
      }
      catch (Exception e)
      {
        //there can be errors during conversion
        e.printStackTrace();
      }
      aBean.clear();
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }
}
